/* 
font size
    10 12 14 16 18 20 24 30 36 44 52 62 74 86 98

font weight
    Normal: 400
    Details: 500
    Semi-bold: 600
    Bold: 700

line height
    Normal: 1
    Details text: 1.5 - 1.6
    Paragraph default: 1.8

Brand color
    #e67e22

tints
    background: #fdf2e9
    1º tint: #fae5d3
    2º tint#f8d8bd

shadows
    background: #cf711f


White;
    text: #fff
    numbers: #ddd

Greys
    authors: #6f6f6f
    featured: #888
    text: #444
    text / heading: #333

Whitespace
    spacing
        2 4 8 12 16 24 32 48 64 80 96 128

    letter-spacing
    -0.5px
    0.75px

*/

/**************/
/* Navigation */
/**************/

.header-container {
	font-size: 2rem;

	background-color: #fdf2e9;
	padding: 0 4.8rem;

	height: 9.6rem;
	width: 100%;

	display: flex;
	align-items: center;
	justify-content: space-between;

	/* position: fixed; */
}

.header-logo {
	height: 2.2rem;
}

.navigation-list {
	display: flex;
	align-items: center;
	gap: 3.2rem;

	list-style: none;
}

.header-nav-link:link,
.header-nav-link:visited {
	display: inline-block;
	text-transform: capitalize;
	text-decoration: none;
	color: #333;
	font-weight: 500;
	font-size: 1.8rem;

	transition: all 0.3s;
}

.header-nav-link:hover,
.header-nav-link:active {
	color: #cf711f;
}

.header-nav-link.nav-cta:link,
.header-nav-link.nav-cta:visited {
	background-color: #e67e22;
	color: #fff;
	padding: 1.2rem 2.4rem;
	border-radius: 9px;
}

.header-nav-link.nav-cta:hover,
.header-nav-link.nav-cta:active {
	background-color: #cf711f;
}

/********/
/* Hero */
/********/

.section-hero {
	background-color: #fdf2e9;
	padding: 9.6rem 0 9.6rem 0;
}

.hero-container {
	max-width: 150rem;

	padding: 0 3.2rem;

	display: grid;
	grid-template-columns: 1fr 1fr;
	align-items: center;
	gap: 9.6rem;

	margin: 0 auto;
}

.hero-image {
	width: 100%;
}

.hero-description {
	font-size: 3rem;
	line-height: 1.5;
	margin-bottom: 4.8rem;
}

.hero-btn {
	/* display: flex;
    align-items: center;
    justify-content: space-around; */

	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 2rem;
	text-align: center;
}

.btn:link,
.btn:visited {
	text-decoration: none;
	font-size: 2.4rem;
	font-weight: 600;

	display: inline-block;
	padding: 1.6rem 3.2rem;
	border-radius: 2.4rem;

	transition: all 0.3s;
}

.btn-full:link,
.btn-full:visited {
	background-color: #e67e22;
	color: #fff;
}

.btn-outline:link,
.btn-outline:visited {
	background-color: #fff;
	color: #444;
}

.btn-full:hover,
.btn-full:active {
	background-color: #cf711f;
}

.btn-outline:hover,
.btn-outline:active {
	background-color: #fdf2e9;
	box-shadow: 0 0 0 3px #fff;
}

.delivered-meal {
	display: flex;
	align-items: center;

	margin-top: 8rem;
}

.delivered-img {
	display: flex;
	align-items: center;

	margin-right: 1.6rem;
}

.delivered-img img {
	height: 6.4rem;
	width: 6.4rem;

	border: 3px solid #fdf2e9;
	border-radius: 50%;

	margin-right: -1.6rem;
}

.delivered-img img:last-child {
	margin: 0;
}

.delivered-text {
	font-size: 2rem;
	font-weight: 600;
}

.delivered-text span {
	color: #cf711f;
	font-weight: 700;
}

/***************/
/* Featured in */
/***************/

.section-featured {
	padding: 4.8rem 0 3.2rem 0;
}

.heading-featured {
	color: #888;

	font-size: 1.4rem;
	font-weight: 500;
	letter-spacing: 0.75px;
	text-transform: uppercase;

	text-align: center;

	margin-bottom: 1.6rem;
}

.featured-logo {
	display: flex;
	justify-content: space-around;
}

.featured-logo img {
	height: 3.2rem;
	filter: brightness(0);
	opacity: 50%;
}

/********************/
/* How does it work */
/********************/

.section-how {
	padding: 9.6rem 0;
}

.subheading {
	display: block;
	color: #cf711f;
	font-size: 3rem;
	font-weight: 500;
	letter-spacing: 0.75px;
	text-transform: uppercase;

	margin-bottom: 1.6rem;
}

.step-number {
	font-size: 9.6rem;
	font-weight: 600;

	color: #ddd;

	margin-bottom: 4.8rem;
}

.step-paragraph {
	font-size: 1.8rem;
	line-height: 1.8;
}

.step-img {
	width: 50%;
}

.step-img-box {
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
}

.step-img-box::after {
	content: "";
	display: block;
	width: 50%;
	height: 50%;
	background-color: #f8d8bd;
	padding: 9.6rem;
	border-radius: 50%;

	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);

	z-index: -2;
}

.step-img-box::before {
	content: "";
	display: block;
	background-color: #f3bf91;
	width: 30%;
	height: 30%;
	padding: 9.6rem;
	border-radius: 50%;

	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);

	z-index: -1;
}

/******************/
/* Meal section */
/******************/

.meal-card {
	border-radius: 2.4rem;
	overflow: hidden;

	display: flex;
	align-items: center;
	justify-items: center;
	flex-direction: column;

	box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.1);

	transition: all 0.4s;
}

.meal-card:hover {
	box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, 0.05);

	transform: translate(0, -1rem);
}

.meal-img {
	width: 100%;
}

.meal-text-box {
	padding: 3.2rem 4.8rem 4.8rem 4.8rem;
}

.meal-tag {
	margin-bottom: 1.2rem;
	display: flex;
	gap: 0.4rem;
}

.tag {
	display: inline-block;

	padding: 0.4rem 0.8rem;
	border-radius: 10rem;

	color: #333;
	font-size: 1.2rem;
	font-weight: 600;
	text-transform: uppercase;
}

.tag-vegetarian {
	background-color: #51cf66;
}

.tag-vegan {
	background-color: #94d82d;
}

.tag-paleo {
	background-color: #fcc419;
}

.meal-title {
	color: #333;
	font-size: 2.4rem;
	font-weight: 600;

	margin-bottom: 3.2rem;
}

.meal-attribute-list {
	list-style: none;
	display: flex;
	flex-direction: column;
	gap: 2rem;
}

.meal-attribute {
	font-size: 1.8rem;

	display: flex;
	align-items: center;
	gap: 1.6rem;
}

.meal-icon {
	height: 2.4rem;
	width: 2.4rem;
	color: #e67e22;
}

.heading-meal {
	font-size: 3.6rem;
}

.all-recipes {
	text-align: center;
	font-size: 1.8rem;
	margin-bottom: 6.4rem;
}

.link-recepies:link,
.link-recepies:visited {
	padding-bottom: 2px;
	border-bottom: 1px solid currentColor;
	transition: all 0.3s;
}

.link-recepies:hover,
.link-recepies:active {
	border-bottom: 1px solid transparent;
	color: #cf711f;
}

/**************************/
/* Testimonial and galery */
/**************************/

.section-testimonial {
	background-color: #fdf2e9;

	display: grid;
	grid-template-columns: 55fr 45fr;
	align-items: center;
}

.testimonial-container {
	padding: 9.6rem;
}

.testimonials {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 4.8rem;
}

.testimonial-img {
	height: 6.4rem;
	border-radius: 50%;
	margin: 1.2rem;
}

.testimonial-text {
	font-size: 1.8rem;
	line-height: 1.8;
	margin-bottom: 1.8rem;
}

.testimonial-author {
	font-size: 1.6rem;
	color: #6f6f6f;
}

.gallery {
	padding: 1.8rem;

	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 1.8rem;
}

.gallery-item {
	overflow: hidden;
}

.gallery-img {
	display: block;
	width: 100%;

	transition: all 0.4s;
}

.gallery-img:hover {
	transform: scale(1.1);
}

/***********/
/* Pricing */
/***********/

.section-pricing {
	padding: 9.6rem 0;
}

.plan-card {
	border-radius: 2.4rem;

	width: 75%;
}

.card-outline {
	border: 2px solid #fdf2e9;
	padding: 4.6rem;
	justify-self: end;

	transition: all 0.4s;
}

.card-outline:hover {
	transform: translate(0, -2rem);
}

.card-full {
	background-color: #fdf2e9;
	padding: 4.8rem;

	overflow: hidden;
	position: relative;

	transition: all 0.4s;
}

.card-full::after {
	content: "Best value";
	position: absolute;
	top: 5%;
	right: -8%;

	color: #333;
	font-size: 1.4rem;
	font-weight: 700;
	text-transform: uppercase;

	background-color: #f3bf91;
	padding: 0.8rem 3.2rem;

	transform: rotate(45deg);
}

.card-full:hover {
	transform: translate(0, -2rem);
}

.plan-text-box {
	height: 100%;
}

.plan-header {
	text-align: center;
	margin-bottom: 4.8rem;
}

.plan-title {
	color: #cf711f;
	font-size: 2rem;
	font-weight: 600;
	text-transform: uppercase;
	letter-spacing: 0, 75;
	margin-bottom: 3.2rem;
}

.plan-price {
	font-size: 3rem;
	margin-bottom: 1.6rem;
}

.plan-price span {
	color: #333;
	font-size: 6.2rem;
	font-weight: 600;

	margin-left: 0.8rem;
}

.plan-text {
	color: #6f6f6f;
	font-size: 1.6rem;
	line-height: 1.6;
}

.plan-list {
	margin-bottom: 3.2rem;
}

.plan-btn-box {
	text-align: center;
}

.plan-detail {
	font-size: 1.6rem;
	line-height: 1.6;
	text-align: center;
}

/************/
/* Features */
/************/

.feature-logo {
	color: #e67e22;
	height: 3.2rem;
	width: 3.2rem;

	background-color: #fdf2e9;
	padding: 1.6rem;
	border-radius: 50%;
	margin-bottom: 3.2rem;
}

.feature-title {
	color: #333;
	font-size: 2.4rem;
	font-weight: 700;
	margin-bottom: 1.6rem;
}

.feature-text {
	font-size: 1.8rem;
	line-height: 1.8;
}

/******************/
/* Call to Action */
/******************/

.section-cta {
	padding: 4.8rem 0 12.8rem;
}

.cta {
	display: grid;
	grid-template-columns: 2fr 1fr;
	gap: 6.4rem;

	box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.15);

	background-image: linear-gradient(to right bottom, #eb984e, #e67e22);
	border-radius: 11px;

	overflow: hidden;
}

.cta *:focus {
	outline: none;
	box-shadow: 0 0 0 0.8rem rgba(253, 242, 233, 0.5);
}
.cta-text-box {
	color: #45360a;
	padding: 4.8rem 6.4rem 6.4rem 6.4rem;
}

.cta .heading-h2 {
	color: inherit;
	font-size: 4.4rem;
	margin-bottom: 3.2rem;
}

.cta-text {
	font-size: 1.8rem;
	line-height: 1.8;
	margin-bottom: 4.8rem;
}

.cta-form {
	display: grid;
	grid-template-columns: 1fr 1fr;
	column-gap: 3.2rem;
	row-gap: 2.4rem;
}

.cta-form label {
	display: block;

	font-size: 1.6rem;
	font-weight: 500;

	margin-bottom: 1.2rem;
}
.cta-form input,
.cta-form select {
	width: 100%;

	color: inherit;
	font-family: inherit;
	font-size: 1.8rem;

	background-color: #fdf2e9;
	padding: 1.2rem;
	border: none;
	border-radius: 9px;

	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
}

.cta-form input::placeholder {
	color: #aaa;
}

.cta-image-box {
	background-image:
		linear-gradient(
			to right bottom,
			rgba(235, 151, 78, 0.3),
			rgba(230, 125, 34, 0.3)
		),
		url("../img/eating.jpg");
	background-size: cover;
	background-position: center;
}

/**********/
/* Footer */
/**********/

.footer {
	padding: 12.8rem 0;
	border-top: 1px solid #ddd;
}

.footer-logo-col {
	display: flex;
	flex-direction: column;
}

.footer-logo {
	display: block;
	margin-bottom: 3.2rem;
}

.footer-social {
	list-style: none;

	display: flex;
	gap: 2.4rem;
}

.social-icon {
	height: 2.4rem;
	width: 2.4rem;
}

.footer-copyright {
	color: #6f6f6f;
	font-size: 1.6rem;
	line-height: 1.5;

	margin-top: auto;
}

.footer-heading {
	font-size: 2rem;
	font-weight: 500;
	margin-bottom: 1.6rem;
}

.footer-address-box {
	font-size: 1.6rem;
	font-style: normal;
}

.footer-address {
	margin-bottom: 2.4rem;
}

.footer-nav {
	list-style: none;

	display: flex;
	flex-direction: column;
	gap: 1.2rem;
}

.footer-link:link,
.footer-link:visited {
	color: #888;
	text-decoration: none;
	font-size: 1.6rem;

	transition: all 0.3s;
}

.footer-link:hover,
.footer-link:active {
	color: #555;
}
